#!/usr/bin/python3

import xml.etree.ElementTree as ET
import sys

def parseLibFDSPEN(xmlfile):
    tree = ET.parse(xmlfile)
    root = tree.getroot()
    pen = root.find('./scope/pen').text
    biflowpen = root.find('./scope/biflow').text
    scopename = root.find('./scope/name').text
    for item in root.findall('./element'):
        elid = item.find('id').text
        elname = item.find('name').text
        if not pen or pen == "None":
            raise(Exception("unknown pen in " + xmlfile))
        print(f"e{pen}id{elid}")
        if biflowpen:
            print(f"e{biflowpen}id{elid}")
        print(f"{scopename}:{elname}")

if len(sys.argv) >= 2:
    for i in sys.argv[1:]:
        parseLibFDSPEN(i)
else:
    print(sys.argv[0] + " xmlfile...")

